This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 203542 - a -devel package should be split of ppp
a -devel package should be split of ppp
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Nagy
:
Depends On:
Blocks: 226313
  Show dependency treegraph
 
Reported: 2006-08-22 08:56 EDT by Patrice Dumas
Modified: 2016-07-26 19:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 05:31:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to move all header files to ppp-devel package (949 bytes, patch)
2008-03-06 18:17 EST, Martin Nagy
no flags Details | Diff

  None (edit)
Description Patrice Dumas 2006-08-22 08:56:48 EDT
Description of problem:

I guess the include files are only used to develop plugins, so 
it would make sense to split them out of ppp, in a ppp-devel
package which should also contain the PLUGINS file in %doc.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Patrice Dumas 2006-11-17 10:55:11 EST
Maybe it is the right time to make that change
such that it leaves time to workaround things that break?
Comment 2 Martin Nagy 2008-03-06 18:17:50 EST
Created attachment 297123 [details]
Patch to move all header files to ppp-devel package
Comment 3 Martin Nagy 2008-03-06 18:18:39 EST
Could I have your thoughts on this Patrice?
Comment 4 Patrice Dumas 2008-03-07 03:38:54 EST
There is a 
%defattr(-,root,root,-)
missing for the -devel package.

I also think that this subpackage should have
%doc PLUGINS
(and PLUGINS be removed from main package %doc)
Comment 5 Martin Nagy 2008-03-07 04:31:23 EST
About the PLUGINS, I was considering to move it, but then it seemed to me a bit
waste to have just this one file in a special directory. Also I think that there
are few bits of information useful even for a non-developer.
Comment 6 Martin Nagy 2008-03-12 05:31:12 EDT
ok, I included the PLUGINS in the -devel package after all.
Fixed with ppp-2.4.4-6.fc9
Comment 7 Martin Nagy 2008-03-12 05:45:56 EDT
Changing component back to ppp, I have no idea how the heck did it change to
"4suite"

Note You need to log in before you can comment on or make changes to this bug.